yelp-xsl packaging incorrectly asserts AGPLv3 license

Bug #1016751 reported by Steve Magoun on 2012-06-22
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
Unassigned
Quantal
Medium
Unassigned
yelp-xsl
Fix Released
Medium
yelp-xsl (Debian)
Fix Released
Unknown
yelp-xsl (Ubuntu)
Medium
Iain Lane
Quantal
Medium
Iain Lane

Bug Description

The yelp-xsl packaging incorrectly asserts that the jQuery.syntax library is licensed under the AGPLv3. The version of the jQuery.syntax library in yelp-xsl >= 3.1.1 is licensed under the MIT license.

The following files need to be corrected:
* COPYING: Incorrectly asserts AGPLv3, and mentions COPYING.AGPL which is not present
* debian/copyright: Incorrectly asserts AGPLv3

Upstream, the jQuery syntax library was updated to an MIT-licensed version by this commit:

commit 80e58d62f9b33c4b57edd8ed486910407293cc77
Author: Frederic Crozat <email address hidden>
Date: Mon May 16 14:32:12 2011 +0200

    Update jquery.syntax to 3.0.0 (which is MIT licenced).

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: yelp-xsl 3.4.1-1
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Uname: Linux 3.2.0-26-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu10
Architecture: amd64
Date: Fri Jun 22 17:09:56 2012
Dependencies:

InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100901.1)
PackageArchitecture: all
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: yelp-xsl
UpgradeStatus: Upgraded to precise on 2012-01-26 (147 days ago)

Steve Magoun (smagoun) wrote :

Mark this as oem-priority because accurate license information is important to OEMs

Jeremy Bicha (jbicha) wrote :

Steve, would you be willing to report this to Debian and GNOME?

GNOME needs to update their COPYING file.

Since Ubuntu's yelp-xsl packaging is currently in sync with Debian's, this change ought to be made in Debian's packaging.

Steve Magoun (smagoun) wrote :

Reported both upstream

Changed in yelp-xsl:
importance: Unknown → Medium
status: Unknown → New
Jeremy Bicha (jbicha) wrote :

Thank you Steve!

Changed in yelp-xsl (Debian):
status: Unknown → New
Steve Magoun (smagoun) on 2012-06-25
no longer affects: oem-priority/precise
Changed in yelp-xsl:
status: New → Fix Released
Steve Magoun (smagoun) wrote :

Revert oem-priority/quantal status, the 2 fixes we need are not yet in quantal (yelp-xsl 3.4.2-1)

tags: added: rls-q-incoming
Sebastien Bacher (seb128) wrote :

Hey Iain, could you try to get that fixed for Debian,Ubuntu for quantal release?

Changed in yelp-xsl (Ubuntu):
assignee: nobody → Iain Lane (laney)
importance: Undecided → Medium
status: New → Confirmed
tags: removed: rls-q-incoming
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yelp-xsl - 3.5.90-0ubuntu2

---------------
yelp-xsl (3.5.90-0ubuntu2) quantal; urgency=low

  * Cherry-pick from Debian SVN r35652 and revert part applied upstream.
  * debian/patches/fix_jquery_syntax_licensing, debian/copyright: Update to
    reflect that jQuery.Syntax is licensed as "MIT", not AGPL (Closes:
    #678981, LP: #1016751)
 -- Iain Lane <email address hidden> Thu, 30 Aug 2012 14:52:07 +0100

Changed in yelp-xsl (Ubuntu Quantal):
status: Confirmed → Fix Released
Changed in yelp-xsl (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.